//
//  FormPicker.m
//  AT500v2.7
//
//  Created by Zviash on 3/27/09.
//  Copyright 2009 MobileAppLoader. All rights reserved.
//
#import "Beacon.h"
#import "FormPicker.h"
#import "DatePickerViewController.h"
#import "DoublePickerViewController.h"
#import "SinglePickerViewController.h"

@implementation FormPicker

@synthesize image1;
@synthesize datePickerViewController, singlePickerViewController, doublePickerViewController;

@synthesize textView1, textField1, textField2, textField3,textField4, textField5, textField6, textField7,textField8, textField9;
@synthesize myLabel1,myLabel2,myLabel3,myLabel4, myLabel5,myLabel6, myLabel7;
@synthesize myButton1, myButton2, myButton3,myButton4, myButton5, myButton6, myButton7,  myButton8, myButton9, myButtonDone, myRestButton, mySendEmailButton;
@synthesize myScrollView;

NSString *contactsEmailAddress;

-(IBAction) pick123Picker: (id)sender {
	[myScrollView setContentOffset:CGPointMake(0,0) animated:YES];
	[self saveToDefaults];
	[textField1 resignFirstResponder];
	[textField2 resignFirstResponder];
	[textField3 resignFirstResponder];
	[textField4 resignFirstResponder];
	[textField5 resignFirstResponder];
	[textField6 resignFirstResponder];
	[textField7 resignFirstResponder];
	[textField8 resignFirstResponder];
	[textField9 resignFirstResponder];
	
	UIButton *pressedButton = (UIButton *) sender;
	UIViewController *pickerVC = nil;
	
	NSString *buttonType = [NSString stringWithFormat:@"%@%d%@",@"FormPickerButtonType",pressedButton.tag,@"Key"];
	
	buttonType = NSLocalizedStringFromTable(buttonType,@"Content",@"List");
	NSLog(@"your Tag %d",pressedButton.tag);
	
	if ([buttonType isEqualToString: @"DatePicker"]) {
		pickerVC = datePickerViewController;
	[datePickerViewController setButtonTagForPicker:pressedButton.tag];}
	else if([buttonType isEqualToString: @"SinglePicker"]){
		pickerVC = singlePickerViewController;
		[singlePickerViewController setButtonTagForPicker:pressedButton.tag];
		[singlePickerViewController loadDataToPicker];
	}
	else if([buttonType isEqualToString: @"DoublePicker"]){
		pickerVC = doublePickerViewController;
		[DoublePickerViewController setButtonTagForPicker:pressedButton.tag];
	}
	
	
	pickerVC.view.frame = CGRectMake(self.view.frame.origin.x, self.view.frame.origin.y /*- 10*/, self.view.frame.size.width, self.view.frame.size.height /* +10 */);
	[UIView beginAnimations:@"View Flip" context:nil];
	[UIView setAnimationDuration:1.25];
	[UIView setAnimationCurve:UIViewAnimationCurveEaseInOut];
	[UIView setAnimationTransition:
	 UIViewAnimationTransitionFlipFromLeft
						   forView:self.view cache:YES];
	[pickerVC viewWillAppear:YES];
	[self.view insertSubview: pickerVC.view aboveSubview:self.view];
	[pickerVC viewDidAppear:YES];
	[UIView commitAnimations];
	
	
}


-(void) pick123SwitchViewBack: (id)sender {
	
	//	[myButton6 setTitle:buttonTitle forState:UIControlStateNormal];
	//	[myButton6 setTitle:buttonTitle forState:UIControlStateHighlighted];
	
	//	UIButton *pressedButton = (UIButton *) sender;
	UIViewController *pickerVC = (UIViewController *)sender;
	
	NSLog(@"123 Switch back");
	//if (pressedButton.tag == 1){pickerVC = datePickerViewController; }
	//	else if(pressedButton.tag == 2){pickerVC = singlePickerViewController; }
	//	else if (pressedButton.tag == 3){pickerVC = doublePickerViewController;}
	//
	[self.view insertSubview:pickerVC.view aboveSubview:self.view];
	
	[UIView beginAnimations:@"View Flip" context:nil];
	[UIView setAnimationDuration:1.25];
	[UIView setAnimationCurve:UIViewAnimationCurveEaseInOut];
	[UIView setAnimationTransition:
	 UIViewAnimationTransitionFlipFromRight
						   forView:self.view cache:YES];
	
	[pickerVC viewWillDisappear:YES];
	[pickerVC.view removeFromSuperview];
	[pickerVC viewDidDisappear:YES];
	[UIView commitAnimations];
	
}


-(void)textFieldDidBeginEditing:(UITextField *)textField {
	NSLog(@" textFiled tag = %d",textField.tag);
	//[myScrollView contentOffset] 
	switch (textField.tag) {
		case 1: [myScrollView setContentOffset:CGPointMake(0,-2) animated:YES];
			break;
		case 2: [myScrollView setContentOffset:CGPointMake(0,-1) animated:YES];
			break;
		case 3: [myScrollView setContentOffset:CGPointMake(0,1) animated:YES];
			break;
		case 4: [myScrollView setContentOffset:CGPointMake(0,30) animated:YES];
			break; 
		case 5: [myScrollView setContentOffset:CGPointMake(0,60) animated:YES];
			break;
		case 6: [myScrollView setContentOffset:CGPointMake(0,90) animated:YES];
			break;
		case 7: [myScrollView setContentOffset:CGPointMake(0,120) animated:YES];
			break;
		case 8: [myScrollView setContentOffset:CGPointMake(0,150) animated:YES];
			break;
		case 9: [myScrollView setContentOffset:CGPointMake(0,180) animated:YES];
			break;	
			
		default:
			break;
	}	
	
	
	
	[myScrollView setContentOffset:CGPointMake(0,120) animated:YES];
}


- (IBAction)textFieldDoneEditing:(id)sender{
	
	[sender resignFirstResponder];
	[myScrollView setContentOffset:CGPointMake(0,0) animated:YES];
	[self saveToDefaults];
	
	NSLog(@"textfield done editing");
	
}



-(void)saveToDefaults {
	if ( textField1.text){[[NSUserDefaults standardUserDefaults] setObject: textField1.text forKey: @"FormPickerTextField1KeyDefaults"];};
	if ( textField2.text){[[NSUserDefaults standardUserDefaults] setObject: textField2.text forKey: @"FormPickerTextField2KeyDefaults"];};
	if ( textField3.text){[[NSUserDefaults standardUserDefaults] setObject: textField3.text forKey: @"FormPickerTextField3KeyDefaults"];};
	if ( textField4.text){[[NSUserDefaults standardUserDefaults] setObject: textField4.text forKey: @"FormPickerTextField4KeyDefaults"];};
	if ( textField5.text){[[NSUserDefaults standardUserDefaults] setObject: textField5.text forKey: @"FormPickerTextField5KeyDefaults"];};
	if ( textField6.text){[[NSUserDefaults standardUserDefaults] setObject: textField6.text forKey: @"FormPickerTextField6KeyDefaults"];};
	if ( textField7.text){[[NSUserDefaults standardUserDefaults] setObject: textField7.text forKey: @"FormPickerTextField7KeyDefaults"];};
	if ( textField8.text){[[NSUserDefaults standardUserDefaults] setObject: textField8.text forKey: @"FormPickerTextField8KeyDefaults"];};
	if ( textField9.text){[[NSUserDefaults standardUserDefaults] setObject: textField9.text forKey: @"FormPickerTextField9KeyDefaults"];};
	
}

- (void)alertView:(UIAlertView *)alertView willDismissWithButtonIndex:(NSInteger)buttonIndex{
	
	if (buttonIndex == 1) {
		[self resetFormAfterConfirmation];	
		
	}
	
}

-(IBAction)resetForm{
	
	UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Reset Form?" message:@"Do you want to reset the form?" delegate:self cancelButtonTitle:@"NO" otherButtonTitles:@"Yes", nil];
	[alert show];
	[alert release];
	
	
}


-(void)resetFormAfterConfirmation{
	textView1.text = NSLocalizedStringFromTable (@"FormPickerTextView1Key",@"Content",@"List"); 
	
	textField1.text = nil;	
	textField1.placeholder =NSLocalizedStringFromTable (@"FormPickerTextField1Key",@"Content",@"List");
	textField2.text = nil;
	textField2.placeholder =NSLocalizedStringFromTable (@"FormPickerTextField2Key",@"Content",@"List");
	textField3.text = nil;
	textField3.placeholder =NSLocalizedStringFromTable (@"FormPickerTextField3Key",@"Content",@"List");
	textField4.text = nil;
	textField4.placeholder =NSLocalizedStringFromTable (@"FormPickerTextField4Key",@"Content",@"List");
	textField5.text = nil;
	textField5.placeholder =NSLocalizedStringFromTable (@"FormPickerTextField5Key",@"Content",@"List");
	textField6.text = nil;
	textField6.placeholder =NSLocalizedStringFromTable (@"FormPickerTextField6Key",@"Content",@"List");
	textField7.text = nil;
	textField7.placeholder =NSLocalizedStringFromTable (@"FormPickerTextField7Key",@"Content",@"List");
	textField8.text = nil;
	textField8.placeholder =NSLocalizedStringFromTable (@"FormPickerTextField8Key",@"Content",@"List");
	textField9.text = nil;
	textField9.placeholder =NSLocalizedStringFromTable (@"FormPickerTextField9Key",@"Content",@"List");
	
	//My Lables
	myLabel1.text = NSLocalizedStringFromTable (@"FormPickerLabel1Key",@"Content",@"List");
	//	if([myLabel1.text isEqualToString:@""]) [myLabel1 removeFromSuperview]; 
	myLabel2.text = NSLocalizedStringFromTable (@"FormPickerLabel2Key",@"Content",@"List");
	//	if([myLabel2.text isEqualToString:@""]) [myLabel2 removeFromSuperview]; 
	myLabel3.text = NSLocalizedStringFromTable (@"FormPickerLabel3Key",@"Content",@"List");
	//	if([myLabel3.text isEqualToString:@""])	[myLabel3 removeFromSuperview]; 
	myLabel4.text = NSLocalizedStringFromTable (@"FormPickerLabel4Key",@"Content",@"List");
	//	if([myLabel4.text isEqualToString:@""]) [myLabel4 removeFromSuperview]; 
	myLabel5.text = NSLocalizedStringFromTable (@"FormPickerLabel5Key",@"Content",@"List");
	//	if([myLabel4.text isEqualToString:@""]) [myLabel4 removeFromSuperview]; 
	myLabel6.text = NSLocalizedStringFromTable (@"FormPickerLabel6Key",@"Content",@"List");
	//	if([myLabel6.text isEqualToString:@""]) [myLabel6 removeFromSuperview]; 
	myLabel7.text = NSLocalizedStringFromTable (@"FormPickerLabel7Key",@"Content",@"List");
	//	if([myLabel7.text isEqualToString:@""]) [myLabel7 removeFromSuperview]; 
	
	[[NSUserDefaults standardUserDefaults] setObject:@"" forKey: @"FormPickerTextField1KeyDefaults"];
	[[NSUserDefaults standardUserDefaults] setObject:@"" forKey: @"FormPickerTextField2KeyDefaults"];
	[[NSUserDefaults standardUserDefaults] setObject:@"" forKey: @"FormPickerTextField3KeyDefaults"];
	[[NSUserDefaults standardUserDefaults] setObject:@"" forKey: @"FormPickerTextField4KeyDefaults"];
	[[NSUserDefaults standardUserDefaults] setObject:@"" forKey: @"FormPickerTextField5KeyDefaults"];
	[[NSUserDefaults standardUserDefaults] setObject:@"" forKey: @"FormPickerTextField6KeyDefaults"];
	[[NSUserDefaults standardUserDefaults] setObject:@"" forKey: @"FormPickerTextField7KeyDefaults"];
	[[NSUserDefaults standardUserDefaults] setObject:@"" forKey: @"FormPickerTextField8KeyDefaults"];
	[[NSUserDefaults standardUserDefaults] setObject:@"" forKey: @"FormPickerTextField9KeyDefaults"];
	
	
}


#pragma mark EMail

-(NSString *)emailAddressToUse{
	
	//NSUInteger i;
	NSString *contactsEmailAddress = NULL;
	NSString * actionButtonLoop;
	
	for (NSUInteger i = 10; i >= 1; i--)
	{
		NSString *actionButtonTypeLoop = [NSString stringWithFormat:@"%@%d%@",@"ActionButtonType",i,@"Key"];
		actionButtonTypeLoop = NSLocalizedStringFromTable (actionButtonTypeLoop,@"Content",@"List");
		NSLog(actionButtonTypeLoop);
		
		if ([@"email" isEqualToString:actionButtonTypeLoop])
		{
			actionButtonLoop = [NSString stringWithFormat:@"%@%d%@",@"ActionButton",i,@"Key"];
			contactsEmailAddress = NSLocalizedStringFromTable (actionButtonLoop,@"Content",@"List");
			NSLog(contactsEmailAddress);
		}
		
		
	}
	// Beacon for emails sent
	NSString *beaconTitle = [NSString stringWithFormat:@"%@%@",@"FP_",contactsEmailAddress];
	NSLog(@"Beacontitle %@",beaconTitle);
	[[Beacon shared] startSubBeaconWithName:beaconTitle timeSession:NO];
	
	return contactsEmailAddress;
	
}


-(IBAction)composeEmail: (id)sender{
	
	[self saveToDefaults];
	
	// Make sure you have all the required fields	
	if(!((textField1.text) && (textField2.text) && (textField3.text)) 
	   || (([textField1.text isEqualToString:@""]) && ([textField2.text isEqualToString:@""]) && ([textField3.text isEqualToString:@""])))		  	 	{
		NSString *messageAlert = [NSString stringWithFormat:@"%@\n%@\n%@", 
								  NSLocalizedStringFromTable (@"FormPickerTextField1Key",@"Content",@"List"),
								  NSLocalizedStringFromTable (@"FormPickerTextField2Key",@"Content",@"List"),
								  NSLocalizedStringFromTable (@"FormPickerTextField3Key",@"Content",@"List")
								  ];
		
		UIAlertView *alert = [[UIAlertView alloc] 
							  initWithTitle:@"Please fill in the following fields:" 
							  message:messageAlert  
							  delegate:nil 			  cancelButtonTitle:@"Ok" otherButtonTitles:nil];
		[alert show];
		[alert release];
		
		return;
	}
	
	// 
	
	MFMailComposeViewController *picker = [[MFMailComposeViewController alloc] init];
	picker.mailComposeDelegate = self;		
	
	// get email address
	NSString *emailAddress = NSLocalizedStringFromTable (@"FormPickerEmailAddressKey",@"Content",@"List");
	if([emailAddress isEqualToString:@""]) {emailAddress = [self emailAddressToUse];}
	//	NSLog(emailAddress);
	
	NSArray *toRecipients = [NSArray arrayWithObject:emailAddress]; 
	[picker setToRecipients:toRecipients];
	
	
	// get email subject
	NSString *emailSubject = NSLocalizedStringFromTable (@"FormPickerEmailSubjectKey",@"Content",@"List");
	
	[picker setSubject:emailSubject];
	
	//	NSLog(@"?subject=",emailSubject);
	
	// Start building the email body for all Types of Forms 
	NSString *emailBody = [NSString stringWithFormat:@"%@<br>", NSLocalizedStringFromTable (@"FormPickerEmailBody1Key",@"Content",@"List")];
	
	emailBody = [emailBody stringByAppendingString:[NSString stringWithFormat:@"%@<br>",NSLocalizedStringFromTable (@"FormPickerEmailSubjectKey",@"Content",@"List")]];
	
	if((textField1.text) && !([textField1.text isEqualToString:@""]))
	{
		emailBody = [emailBody stringByAppendingString:[NSString stringWithFormat:@"%@: %@ <br>",NSLocalizedStringFromTable (@"FormPickerTextField1Key",@"Content",@"List"),textField1.text]];
	};
	if((textField2.text) &&!([textField2.text isEqualToString:@""]))
	{
		emailBody = [emailBody stringByAppendingString:[NSString stringWithFormat:@"%@: %@ <br>",NSLocalizedStringFromTable (@"FormPickerTextField2Key",@"Content",@"List"),textField2.text]];
	}	
	if((textField3.text) &&!([textField3.text isEqualToString:@""]))
	{
	emailBody = [emailBody stringByAppendingString:[NSString stringWithFormat:@"%@: %@ <br>",NSLocalizedStringFromTable (@"FormPickerTextField3Key",@"Content",@"List"),textField3.text]];	};
	if((textField4.text) &&!([textField4.text isEqualToString:@""]))
	{
	emailBody = [emailBody stringByAppendingString:[NSString stringWithFormat:@"%@: %@ <br>",NSLocalizedStringFromTable (@"FormPickerTextField4Key",@"Content",@"List"),textField4.text]];	};
	if((textField5.text) &&!([textField5.text isEqualToString:@""]))
	{
		emailBody = [emailBody stringByAppendingString:[NSString stringWithFormat:@"%@: %@ <br>",NSLocalizedStringFromTable (@"FormPickerTextField5Key",@"Content",@"List"),textField5.text]];
	};
	if((textField6.text) &&!([textField6.text isEqualToString:@""]))
	{
		emailBody = [emailBody stringByAppendingString:[NSString stringWithFormat:@"%@: %@ <br>",NSLocalizedStringFromTable (@"FormPickerTextField6Key",@"Content",@"List"),textField6.text]];
	};
	if((textField7.text) &&!([textField7.text isEqualToString:@""]))	
	{
		emailBody = [emailBody stringByAppendingString:[NSString stringWithFormat:@"%@: %@ <br>",NSLocalizedStringFromTable (@"FormPickerTextField7Key",@"Content",@"List"),textField7.text]];
	};
	if((textField8.text) &&!([textField8.text isEqualToString:@""]))
	{
		emailBody = [emailBody stringByAppendingString:[NSString stringWithFormat:@"%@: %@ <br>",NSLocalizedStringFromTable (@"FormPickerTextField8Key",@"Content",@"List"),textField8.text]];
	};
	if((textField9.text) &&!([textField9.text isEqualToString:@""]))
	{
		emailBody = [emailBody stringByAppendingString:[NSString stringWithFormat:@"%@: %@ <br>",NSLocalizedStringFromTable (@"FormPickerTextField9Key",@"Content",@"List"),textField9.text]];
	};
	
	NSLog(emailBody);
	[picker setMessageBody:emailBody isHTML:YES];
	
	// complete email generic email body 
	
	
	[self presentModalViewController:picker animated:YES];
	[picker release];
	
	return;
	
}		



- (void)mailComposeController:(MFMailComposeViewController*)controller didFinishWithResult:(MFMailComposeResult)result error:(NSError*)error 
{	
	// message.hidden = NO;
	
	// Notifies users about errors associated with the interface
	switch (result)
	{
		case MFMailComposeResultCancelled:
			//	message.text = @"Result: canceled";
			break;
		case MFMailComposeResultSaved:
			//	message.text = @"Result: saved";
			break;
		case MFMailComposeResultSent: {
			
			
			UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Sent" message:@"Your message was sent." delegate:nil cancelButtonTitle:@"ok"otherButtonTitles:nil];
			[alert show];
			[alert release];
			
		}
			break;
		case MFMailComposeResultFailed:
			//	message.text = @"Result: failed";
			break;
		default:
			//	message.text = @"Result: not sent";
			break;
	}
	
	[self dismissModalViewControllerAnimated:YES];
}



/*
 // The designated initializer. Override to perform setup that is required before the view is loaded.
 - (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
 if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
 // Custom initialization
 }
 return self;
 }
 */

/*
 // Implement loadView to create a view hierarchy programmatically, without using a nib.
 - (void)loadView {
 }
 */
#pragma mark loadView

-(void) createButtons{
	
	UIImage *buttonImageNormal = [UIImage imageNamed:@"whiteButton.png"];
	UIImage *stretchableButtonImageNormal = [buttonImageNormal stretchableImageWithLeftCapWidth:12 topCapHeight:0];
	[myButton1 setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];
	[myButton2 setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];
	[myButton3 setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];
	[myButton4 setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];
	[myButton5 setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];
	[myButton6 setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];
	[myButton7 setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];
	[myButton8 setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];
	[myButton9 setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];	
	[mySendEmailButton setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];
	[myRestButton setBackgroundImage:stretchableButtonImageNormal forState:UIControlStateNormal];
	
	UIImage *buttonImagePressed = [UIImage imageNamed:@"blueButton.png"];
	UIImage *stretchableButtonImagePressed = [buttonImagePressed stretchableImageWithLeftCapWidth:12 topCapHeight:0];
	[myButton1 setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];
	[myButton2 setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];
	[myButton3 setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];
	[myButton4 setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];
	[myButton5 setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];
	[myButton6 setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];	
	[myButton7 setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];
	[myButton8 setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];
	[myButton9 setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];
	[mySendEmailButton setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];
	[myRestButton setBackgroundImage:stretchableButtonImagePressed forState:UIControlStateHighlighted];
	
	//Buttons	
	NSString *buttonTitle  =  NSLocalizedStringFromTable (@"FormPickerBottonLabel1Key",@"Content",@"List");
	[myButton1 setTitle:buttonTitle forState:UIControlStateNormal];
	[myButton1 setTitle:buttonTitle forState:UIControlStateHighlighted];
	
	buttonTitle  =  NSLocalizedStringFromTable (@"FormPickerBottonLabel2Key",@"Content",@"List");
	[myButton2 setTitle:buttonTitle forState:UIControlStateNormal];
	[myButton2 setTitle:buttonTitle forState:UIControlStateHighlighted];
	
	buttonTitle  =  NSLocalizedStringFromTable (@"FormPickerBottonLabel3Key",@"Content",@"List");
	[myButton3 setTitle:buttonTitle forState:UIControlStateNormal];
	[myButton3 setTitle:buttonTitle forState:UIControlStateHighlighted];
	
	buttonTitle  =  NSLocalizedStringFromTable (@"FormPickerBottonLabel4Key",@"Content",@"List");
	[myButton4 setTitle:buttonTitle forState:UIControlStateNormal];
	[myButton4 setTitle:buttonTitle forState:UIControlStateHighlighted];
	
	buttonTitle  =  NSLocalizedStringFromTable (@"FormPickerBottonLabel5Key",@"Content",@"List");
	[myButton5 setTitle:buttonTitle forState:UIControlStateNormal];
	[myButton5 setTitle:buttonTitle forState:UIControlStateHighlighted];
	
	buttonTitle  =  NSLocalizedStringFromTable (@"FormPickerBottonLabel6Key",@"Content",@"List");
	[myButton6 setTitle:buttonTitle forState:UIControlStateNormal];
	[myButton6 setTitle:buttonTitle forState:UIControlStateHighlighted];
	
	buttonTitle  =  NSLocalizedStringFromTable (@"FormPickerBottonLabel7Key",@"Content",@"List");
	[myButton7 setTitle:buttonTitle forState:UIControlStateNormal];
	[myButton7 setTitle:buttonTitle forState:UIControlStateHighlighted];
	
	buttonTitle  =  NSLocalizedStringFromTable (@"FormPickerBottonLabel8Key",@"Content",@"List");
	[myButton8 setTitle:buttonTitle forState:UIControlStateNormal];
	[myButton8 setTitle:buttonTitle forState:UIControlStateHighlighted];
	
	buttonTitle  =  NSLocalizedStringFromTable (@"FormPickerBottonLabel9Key",@"Content",@"List");
	[myButton9 setTitle:buttonTitle forState:UIControlStateNormal];
	[myButton9 setTitle:buttonTitle forState:UIControlStateHighlighted];
	
	
	
}	


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.

- (void)viewDidLoad {
	[self createButtons];
	[myButtonDone removeFromSuperview];
	
	
	NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
	
	myLabel1.text = NSLocalizedStringFromTable (@"FormPickerLabel1Key",@"Content",@"List");
	//	if([myLabel1.text isEqualToString:@""]) [myLabel1 removeFromSuperview]; 
	myLabel2.text = NSLocalizedStringFromTable (@"FormPickerLabel2Key",@"Content",@"List");
	//	if([myLabel2.text isEqualToString:@""]) [myLabel2 removeFromSuperview]; 
	myLabel3.text = NSLocalizedStringFromTable (@"FormPickerLabel3Key",@"Content",@"List");
	//	if([myLabel3.text isEqualToString:@""])	[myLabel3 removeFromSuperview]; 
	myLabel4.text = NSLocalizedStringFromTable (@"FormPickerLabel4Key",@"Content",@"List");
	//	if([myLabel4.text isEqualToString:@""]) [myLabel4 removeFromSuperview]; 
	myLabel5.text = NSLocalizedStringFromTable (@"FormPickerLabel5Key",@"Content",@"List");
	//	if([myLabel4.text isEqualToString:@""]) [myLabel4 removeFromSuperview]; 
	myLabel6.text = NSLocalizedStringFromTable (@"FormPickerLabel6Key",@"Content",@"List");
	//	if([myLabel6.text isEqualToString:@""]) [myLabel6 removeFromSuperview]; 
	myLabel7.text = NSLocalizedStringFromTable (@"FormPickerLabel7Key",@"Content",@"List");
	//	if([myLabel7.text isEqualToString:@""]) [myLabel7 removeFromSuperview]; 
	
	
	//Text Fields
	
	if ([defaults stringForKey:@"FormPickerTextField1KeyDefaults"]  && !([@"" isEqualToString:[defaults stringForKey:@"FormPickerTextField1KeyDefaults"]]))
	{	textField1.text = [defaults stringForKey:@"FormPickerTextField1KeyDefaults"];}
	else {	textField1.placeholder =  NSLocalizedStringFromTable (@"FormPickerTextField1Key",@"Content",@"List");};
	if ([defaults stringForKey:@"FormPickerTextField2KeyDefaults"]&& !([@"" isEqualToString:[defaults stringForKey:@"FormPickerTextField2KeyDefaults"]]))
	{	textField2.text = [defaults stringForKey:@"FormPickerTextField2KeyDefaults"];}
	else {	textField2.placeholder =  NSLocalizedStringFromTable (@"FormPickerTextField2Key",@"Content",@"List");};
	if ([defaults stringForKey:@"FormPickerTextField2KeyDefaults"]&& !([@"" isEqualToString:[defaults stringForKey:@"FormPickerTextField3KeyDefaults"]]))
	{	textField3.text = [defaults stringForKey:@"FormPickerTextField3KeyDefaults"];}
	else {	textField3.placeholder =  NSLocalizedStringFromTable (@"FormPickerTextField3Key",@"Content",@"List");};
	if ([defaults stringForKey:@"FormPickerTextField4KeyDefaults"]&& !([@"" isEqualToString:[defaults stringForKey:@"FormPickerTextField4KeyDefaults"]]))
	{	textField4.text = [defaults stringForKey:@"FormPickerTextField4KeyDefaults"];}
	else {	textField4.placeholder =  NSLocalizedStringFromTable (@"FormPickerTextField4Key",@"Content",@"List");};
	if ([defaults stringForKey:@"FormPickerTextField5KeyDefaults"]&& !([@"" isEqualToString:[defaults stringForKey:@"FormPickerTextField5KeyDefaults"]]))
	{	textField5.text = [defaults stringForKey:@"FormPickerTextField5KeyDefaults"];}
	else {	textField5.placeholder =  NSLocalizedStringFromTable (@"FormPickerTextField5Key",@"Content",@"List");};
	if ([defaults stringForKey:@"FormPickerTextField6KeyDefaults"]&& !([@"" isEqualToString:[defaults stringForKey:@"FormPickerTextField6KeyDefaults"]]))
	{	textField6.text = [defaults stringForKey:@"FormPickerTextField6KeyDefaults"];}
	else {	textField6.placeholder =  NSLocalizedStringFromTable (@"FormPickerTextField6Key",@"Content",@"List");};
	if ([defaults stringForKey:@"FormPickerTextField7KeyDefaults"]&& !([@"" isEqualToString:[defaults stringForKey:@"FormPickerTextField7KeyDefaults"]]))
	{	textField7.text = [defaults stringForKey:@"FormPickerTextField7KeyDefaults"];}
	else {	textField7.placeholder =  NSLocalizedStringFromTable (@"FormPickerTextField7Key",@"Content",@"List");};
	if ([defaults stringForKey:@"FormPickerTextField8KeyDefaults"]&& !([@"" isEqualToString:[defaults stringForKey:@"FormPickerTextField8KeyDefaults"]]))
	{	textField8.text = [defaults stringForKey:@"FormPickerTextField8KeyDefaults"];}
	else {	textField8.placeholder =  NSLocalizedStringFromTable (@"FormPickerTextField8Key",@"Content",@"List");};
	if ([defaults stringForKey:@"FormPickerTextField9KeyDefaults"]&& !([@"" isEqualToString:[defaults stringForKey:@"FormPickerTextField9KeyDefaults"]]))
	{	textField9.text = [defaults stringForKey:@"FormPickerTextField9KeyDefaults"];}
	else {	textField9.placeholder =  NSLocalizedStringFromTable (@"FormPickerTextField9Key",@"Content",@"List");};
	
	
}

/*
 -(void)viewWillDisappear: (BOOL)animated
 {
 NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
 locationSwitchValue = (useMyLocationSwitch.on) ? @"Yes" :@"No";
 [defaults setObject:locationSwitchValue forKey:@"UseMyLocationPefValue"];
 [super viewWillDisappear:animated];	
 
 
 NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
 myPhoneSwitchValue = (useMyPhoneSwitch.on) ? @"Yes" :@"No";
 [defaults setObject:useMyPhoneSwitchValue forKey:@"UseMyLocationPefValue"];
 [super viewWillDisappear:animated];	
 
 
 
 }
 
 */

/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}

- (void)dealloc {
	[super dealloc];
	[ image1 release];
	[textView1 release];
	[textField1 release];	[textField2 release];	[textField3 release];	[textField4 release];	[textField5 release];	[textField6 release]; [textField7 release];	[textField8 release]; [textField9 release];
	
	[myLabel1 release];	[myLabel2 release];	[myLabel3 release];	[myLabel4 release];	[myLabel5 release];	[myLabel6 release];
	[myLabel7 release];
	
	[myButton1 release]; [myButton2 release]; [myButton3 release]; [myButton4 release];[myButton4 release];[myButton5 release]; [myButton7 release];  [myButton8 release];[myButton9 release]; [myButtonDone release]; [myRestButton release]; [mySendEmailButton release];
	
	
}


#pragma mark UITextView delegate methods

- (void)textViewDidBeginEditing:(UITextView *)textView;
{
	NSLog(@"I'm at textViewDidBeginEditing");
	[self.view addSubview:myButtonDone];
	[self.view addSubview:myLabel3];
	textView.editable = NO;
	textView.editable = YES;
	//	[textView becomeFirstResponder];
	
	//if ([textView1.text isEqual:(NSLocalizedStringFromTable (@"FormPickerTextView1Key",@"Content",@"List"))])
	//	{textView1.text = @"My question is:";};
}

- (IBAction)saveAction:(id)sender
{
	// finish typing text/dismiss the keyboard by removing it as the first responder
	NSLog(@"I'm at saveAction");
	[myLabel3 removeFromSuperview]; 
	[myButton6 removeFromSuperview];
	//	[self.view addSubview:mytextView];
	//	[self resignFirstResponder];
	[textView1 resignFirstResponder];
	[self becomeFirstResponder];
	//	[textView1 release];
	
}




@end
